Index: code/trunk/src/libraries/tools/ParticleInterface.cc
===================================================================
--- code/trunk/src/libraries/tools/ParticleInterface.cc	(revision 10546)
+++ code/trunk/src/libraries/tools/ParticleInterface.cc	(revision 10624)
@@ -49,5 +49,6 @@
 {
     unsigned int ParticleInterface::counter_s = 0;
-    ParticleInterface* ParticleInterface::currentParticleInterface_s = 0;
+
+    RegisterAbstractClass(ParticleInterface).inheritsFrom<TimeFactorListener>();
 
     ParticleInterface::ParticleInterface(Ogre::SceneManager* scenemanager, const std::string& templateName, LODParticle::Value detaillevel)
Index: code/trunk/src/libraries/tools/ParticleInterface.h
===================================================================
--- code/trunk/src/libraries/tools/ParticleInterface.h	(revision 10546)
+++ code/trunk/src/libraries/tools/ParticleInterface.h	(revision 10624)
@@ -34,9 +34,4 @@
 #include "util/OgreForwardRefs.h"
 #include "tools/interfaces/TimeFactorListener.h"
-
-#define getAllEmitters() \
-  storeThisAsCurrentParticleInterface(); \
-  for (unsigned int i = 0; i < ParticleInterface::getCurrentParticleInterface()->getNumEmitters(); ++i) \
-    ParticleInterface::getCurrentParticleInterface()->getEmitter(i)
 
 namespace orxonox
@@ -80,9 +75,4 @@
             void setDetailLevel(unsigned int level);
 
-            inline void storeThisAsCurrentParticleInterface()
-                { ParticleInterface::currentParticleInterface_s = this; }
-            inline static ParticleInterface* getCurrentParticleInterface()
-                { return ParticleInterface::currentParticleInterface_s; }
-
         protected:
             virtual void changedTimeFactor(float factor_new, float factor_old);
@@ -103,5 +93,4 @@
             unsigned int              globalDetailLevel_; //!< Global maximum detail level of particle effects (0: off, 1: low, 2: normal, 3: high)
 
-            static ParticleInterface* currentParticleInterface_s;
             static unsigned int       counter_s;
     };
Index: code/trunk/src/libraries/tools/ResourceLocation.cc
===================================================================
--- code/trunk/src/libraries/tools/ResourceLocation.cc	(revision 10546)
+++ code/trunk/src/libraries/tools/ResourceLocation.cc	(revision 10624)
@@ -35,5 +35,6 @@
 #include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "core/PathConfig.h"
+#include "core/ApplicationPaths.h"
+#include "core/ConfigurablePaths.h"
 #include "core/XMLFile.h"
 #include "core/XMLPort.h"
@@ -74,8 +75,8 @@
         namespace bf = boost::filesystem;
         bf::path path;
-        if (bf::exists(PathConfig::getDataPath() / this->getPath()))
-            path = PathConfig::getDataPath() / this->getPath();
-        else if (PathConfig::buildDirectoryRun() && bf::exists(PathConfig::getExternalDataPath() / this->getPath()))
-            path = PathConfig::getExternalDataPath() / this->getPath();
+        if (bf::exists(ConfigurablePaths::getDataPath() / this->getPath()))
+            path = ConfigurablePaths::getDataPath() / this->getPath();
+        else if (ApplicationPaths::buildDirectoryRun() && bf::exists(ConfigurablePaths::getExternalDataPath() / this->getPath()))
+            path = ConfigurablePaths::getExternalDataPath() / this->getPath();
         else
         {
Index: code/trunk/src/libraries/tools/Timer.cc
===================================================================
--- code/trunk/src/libraries/tools/Timer.cc	(revision 10546)
+++ code/trunk/src/libraries/tools/Timer.cc	(revision 10624)
@@ -40,5 +40,5 @@
 #include "util/Clock.h"
 #include "core/CoreIncludes.h"
-#include "core/command/ConsoleCommand.h"
+#include "core/command/ConsoleCommandIncludes.h"
 #include "core/command/CommandExecutor.h"
 #include "core/command/Executor.h"
@@ -247,4 +247,7 @@
     // RealTimer //
     ///////////////
+
+    RegisterClassNoArgs(RealTimer);
+
     /// @copydoc Timer::Timer
     RealTimer::RealTimer()
Index: code/trunk/src/libraries/tools/interfaces/ToolsInterfaceCompilation.cc
===================================================================
--- code/trunk/src/libraries/tools/interfaces/ToolsInterfaceCompilation.cc	(revision 10546)
+++ code/trunk/src/libraries/tools/interfaces/ToolsInterfaceCompilation.cc	(revision 10624)
@@ -46,5 +46,5 @@
     float TimeFactorListener::timefactor_s = 1.0f;
 
-    RegisterAbstractClass(TimeFactorListener).inheritsFrom(Class(Listable));
+    RegisterAbstractClass(TimeFactorListener).inheritsFrom<Listable>();
 
     TimeFactorListener::TimeFactorListener()
@@ -67,5 +67,5 @@
     // Tickable
     //----------------------------
-    RegisterAbstractClass(Tickable).inheritsFrom(Class(OrxonoxInterface));
+    RegisterAbstractClass(Tickable).inheritsFrom<OrxonoxInterface>();
 
     /**
